=== contrib/utility/Documentation/ReferenceCounting/Makefile ===
# file      : Documentation/ReferenceCounting/Make.doc.mk
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ../..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Documentation.pre.rules)

vpath %.hpp $(root)/Utility/ReferenceCounting

doc_translation_units := DefaultImpl.hpp \
                         Interface.hpp   \
		         SmartPtr.hpp    \
			 StrictPtr.hpp

DOC_FLAGS := --strip-preprocessor -css $(root)/Documentation/Style/CXX.css

$(call include, $(root)/BuildRules/Documentation.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
