=== contrib/utility/Test/ExH/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := Compound Converter Inline Logic System
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $
