## ace 5.7.7+dfsg

=== TAO/orbsvcs/examples/Notify/MC/TkMonitor/Makefile ===
EXTERNAL = CosNotification NotifyMonitoringExt

all: $(EXTERNAL)

$(EXTERNAL):
	perl external_idl.pl

clean:
	perl external_idl.pl -r $(EXTERNAL)
