## ace 6.0.3

=== debian/changelog ===
ace (6.0.3-5) unstable; urgency=low

  * debian/control:
    o define Build-Depends-Indep: for documentation generation.
    o Build-Depends on dpkg-dev >= 1.16.2 to have dpkg-buildpackage -B
      correctly invoke build-arch then binary-arch. Closes: #657844.
  * debian/libace-dev.README.Debian: mention how to make ACE Service
    Configuration work in Debian. Closes: #656040.

 -- Thomas Girard <thomas.g.girard@free.fr>  Fri, 30 Mar 2012 20:03:40 +0200

ace (6.0.3-4) unstable; urgency=low

  * Remove work-around for arm now that g++-4.6 ICE is fixed.
    Closes: #653642, #654743.
  * Really ensure doxygen is not being run when invoking build-arch.
    Closes: #657844.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 04 Feb 2012 17:24:25 +0100

ace (6.0.3-3) unstable; urgency=low

  * Build with g++-4.4 on armel to work-around #644722. Closes: #644826.
    Thanks to Peter Green for the report and work-around investigation.
  * debian/lib{ace,tao}-dev.install, debian/tao-utils.install: perform brace
    expansion instead of letting debhelper do it "due to an accident". Helped
    removing no longer needed expansions.
  * debian/control: move transitional packages to section oldlibs, priority
    extra, as per lintian warning recommendation.

 -- Thomas Girard <thomas.g.girard@free.fr>  Wed, 28 Dec 2011 10:46:18 +0100

ace (6.0.3-2) unstable; urgency=low

  * Upload to unstable.
  * Remove the build part in build %: make rule. GNU make 3.82 doesn't
    like it. Should fix the FTBFS seen on experimental/amd64 where make 3.82
    is installed.
  * debian/rules: prevent long generation of doxygen documentation in arch-dep
    build by defining binary-arch: and binary-indep: targets. This requires
    switching to debhelper level 9.
  * debian/rules: overriding dh_fixperm for needed packages only.
    Closes: #636028.
  * debian/*.examples: move examples here.
  * debian/ace-netsvcs.doc-base: remove extra space at end of document field.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 30 Jul 2011 21:38:07 +0200

ace (6.0.3-1) experimental; urgency=low

  [ Thomas Girard ]
  * Drop obsolete patch multiarch.dpatch.
  * Really install NEWS file with libace-ssl.
  * Convert to format 3.0 (quilt):
    o Drop dpatch dependency
    o Do not repackage upstream tarball
    o rework patches 90 and 91 so that they can be applied before building
  * Convert debian/rules to debhelper level 8.
  * Convert patches to DEP3 format.
  * debian/watch: use ACE+TAO-src-*.tar.bz2 since we don't package CIAO.
  * Port to GNU/Hurd.
  * Make tao-idl and tao-ifr depend on g++; we need cpp for preprocessing.
  * Change descriptions to match new binary names.
  * Replace Conflicts:/Replaces: with Breaks:/Replaces:, following lintian
    recommendation.
  * Register ace-netsvcs documentation with doc-base (again, thanks lintian).

  [ Pau Garcia i Quiles ]
  * New upstream patch release. Closes: #628572.
  * Drop patch 11-promote-QtResource-to-qt4

 -- Thomas Girard <thomas.g.girard@free.fr>  Wed, 27 Jul 2011 15:34:32 +0200

ace (6.0.1-3) unstable; urgency=low

  * Convert to format 3.0 (quilt):
    o Drop dpatch dependency
    o Do not repackage upstream tarball
  * Convert debian/rules to debhelper level 8.
  * Port to GNU/Hurd.
  * debian/watch: use ACE+TAO-src-*.tar.bz2 since we don't package CIAO.
  * debian/patches/multiarch.dpatch: change detection of librt.so to use
    getconf so that it does not break with multiarch locations.
    Closes: #629657.
  * debian/NEWS.Debian: mention that SSL v2 was removed from Debian
    packages.
  * Enhance package descriptions. Thanks to Gerfried Fuchs for the
    report, and to Justin B Rye from debian-l10n-english@ for
    his changes. Closes: #599549.

 -- Thomas Girard <thomas.g.girard@free.fr>  Mon, 20 Jun 2011 21:05:52 +0200

ace (6.0.1-2) unstable; urgency=low

  [ Thomas Girard ]
  * Import into git.
  * debian/control: change Vcs-* accordingly.
  * Restore lost changelog entries, thanks to git!
  * Add DM-Upload-Allowed: yes to debian/control.
  * Bump Standards-Version: to 3.9.2.

  [ Pau Garcia i Quiles ]
  * Disable SSLv2 by adding patch 35_disable_sslv2 (Closes: #622074)

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 01 May 2011 13:02:17 +0200

ace (6.0.1-1) unstable; urgency=low

  [ Pau Garcia i Quiles ]
  * New upstream release
  * Drop patch 12-add-DESTDIR-to-MPC (applied upstream)
  * Drop patch 13-add-QtReactor-export (applied upstream)
  * Drop patch 14-fix-tcl-flags (applied upstream)
  * Drop patch 16-fix-pidl-install (applied upstream)
  * Update patch 11-promote-QtResource-to-qt4
  * Update patch 15-fix-lzo-flags
  * Update patch 34-bts386713
  * Require debhelper >= 7 (it was already required, in practice)
  * Register documentation with doc-base
  * Explicitly set source format 1.0 until we move to 3.0
  * Package ACE_INet and ACE_INet_SSL

  [ Thomas Girard ]
  * Build-depend on Tcl/Tk >= 8.5.

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sun, 20 Feb 2011 16:33:13 +0100

ace (6.0.0-1) experimental; urgency=low

  * New upstream release:
    o use new make install target.
    o remove generator_pkgconfig.sh, no longer needed.
    o new binary renaming:
      - LoadManager => tao_loadmanager
      - LoadMonitor => tao_loadmonitor
      - ImplRepo_Service => tao_imr_locator
      - ImR_Activator => tao_imr_activator
      - IFR_Service => tao_ifr_service
      - Fault_Detector => tao_fault_detector
      - Fault_Notifier => tao_fault_notifier
      - Scheduling_Service => tao_cosscheduling
      - Dump_Schedule => tao_dump_schedule
    o remove libACE_gperf_lib.
    o remove patches that were merged upstream:
      - 11-create-ace_qt4reactor-mpb.dpatch
      - 12-create-config_kfreebsd.dpatch
      - 16-rename-tao-programs.dpatch
      - 24-add-missing-headers.dpatch
      - 25-remove-duplicate-files.dpatch
      - 47-change-netsvcs.dpatch
      - 48-fix-doxygen-cross-links.dpatch
    o remove useless patches:

