=== debian/watch ===
version=3

ftp://download.dre.vanderbilt.edu/previous_versions/ACE\+TAO-src-(.*)\.tar\.bz2
